package com.prolog.cs.biz.inbound.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Map;

/**
 * @ClassName SearchParam
 * @Description TODO
 * @Author cheny
 * @Date 2021/2/26 15:36
 * @Version 1.0
 * @Copyright: www.prolog-int.com Inc. All rights reserved.
 **/
@ApiModel
public class SearchParam implements Serializable {

	private static final long serialVersionUID = -797986717860187508L;
	@ApiModelProperty(value = "查询接口定义的主键id")
	private String id;
	@ApiModelProperty(value = "查询所携带的参数")
	private Map<String, Object> params;
	
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Map<String, Object> getParams() {
		return params;
	}

	public void setParams(Map<String, Object> params) {
		this.params = params;
	}
}
